Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacard.framework
Class SystemException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javacard.framework.CardRuntimeException
                      javacard.framework.SystemException

    @TransactionType(value=NOT_SUPPORTED)
    public class SystemException

extends CardRuntimeException

`SystemException` represents a `JCSystem` class related exception. It is also thrown by the `javacard.framework.Applet.register()` methods and by the `AID` class constructor.

Direct instances of this exception class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `Throwable.toString()` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

See Also:
  `JCSystem`, `Applet`, `AID`

Field Summary
`static short` | `ILLEGAL_AID` This reason code is used by the `javacard.framework.Applet.register()` method to indicate that the input AID parameter is not a legal AID value.
`static short` | `ILLEGAL_TRANSIENT` This reason code is used to indicate that the request to create a transient object is not allowed in the current caller context.
`static short` | `ILLEGAL_USE` This reason code is used to indicate that the requested function is not allowed.
`static short` | `ILLEGAL_VALUE` This reason code is used to indicate that one or more input parameters is out of allowed bounds.
`static short` | `NO_RESOURCE` This reason code is used to indicate that there is insufficient resource in the Card for the request.
`static short` | `NO_TRANSIENT_SPACE` This reason code is used by the `makeTransient..()` methods to indicate that no room is available in volatile memory for the requested object.

Constructor Summary
`SystemException(short reason)` Constructs a SystemException.

Method Summary
`static void` | `throwIt(short reason)` Deprecated. Deprecated for extended applets and web applications on the Connected Edition of the Java Card 3 Platform. Use constructor instead.

Methods inherited from class javacard.framework.CardRuntimeException
`getReason, setReason`

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ILLEGAL_VALUE

    public static final short ILLEGAL_VALUE

  This reason code is used to indicate that one or more input parameters is out of allowed bounds.

  See Also:
    Constant Field Values

### NO_TRANSIENT_SPACE

    public static final short NO_TRANSIENT_SPACE

  This reason code is used by the `makeTransient..()` methods to indicate that no room is available in volatile memory for the requested object.

  See Also:
    Constant Field Values

### ILLEGAL_TRANSIENT

    public static final short ILLEGAL_TRANSIENT

  This reason code is used to indicate that the request to create a transient object is not allowed in the current caller context. See Runtime Environment Specification, Java Card Platform, Connected Edition, chapter 6 for details.

  See Also:
    Constant Field Values

### ILLEGAL_AID

    public static final short ILLEGAL_AID

  This reason code is used by the `javacard.framework.Applet.register()` method to indicate that the input AID parameter is not a legal AID value.

  See Also:
    Constant Field Values

### NO_RESOURCE

    public static final short NO_RESOURCE

  This reason code is used to indicate that there is insufficient resource in the Card for the request.

  For example, the Java Card Virtual Machine may `throw` this exception reason when there is insufficient heap space to create a new instance.

  See Also:
    Constant Field Values

### ILLEGAL_USE

    public static final short ILLEGAL_USE

  This reason code is used to indicate that the requested function is not allowed. For example, `JCSystem.requestObjectDeletion()` method throws this exception if the object deletion mechanism is not implemented.

  See Also:
    Constant Field Values

Constructor Detail

### SystemException

    public SystemException(short reason)

  Constructs a SystemException.

  Parameters:
    `reason` - the reason for the exception

Method Detail

### throwIt

    public static void throwIt(short reason)
                        throws SystemException

  Deprecated. Deprecated for extended applets and web applications on the Connected Edition of the Java Card 3 Platform. Use constructor instead.

  Throws a new instance of `SystemException` with the specified reason.

  Note that a new instance is thrown upon each call to this method.

  This method is for backward compatibility with Java Card 2.x and for interoperability of classic applet applications with the Java Card 3 Classic edition.

  Parameters:
    `reason` - the reason for the exception
  Throws:
    `SystemException` - always

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.